Web4Web.IT - Community Forums
Specifiche php e mysql - Versione stampabile

+- Web4Web.IT - Community Forums (https://www.web4web.it/forum)
+-- Forum: Shared Hosting (/forum-13.html)
+--- Forum: Compatibilità applicativi Web (/forum-14.html)
+--- Discussione: Specifiche php e mysql (/thread-630.html)



Specifiche php e mysql - yunaveris - 04-06-2013 00:46

Ciao ragazzi,

ho guardato in giro sul vostro sito ma non riesco a trovare le specifiche riguardo a php e mysql, che versione c'è installata?

Grazie mille


RE: Specifiche php e mysql - Might - 04-06-2013 00:58

http://x1.w4w.guest.it/info.php
http://x2.w4w.guest.it/info.php
http://x3.w4w.guest.it/info.php
http://x4.w4w.guest.it/info.php
http://x5.w4w.guest.it/info.php
http://x6.w4w.guest.it/info.php
http://x7.w4w.guest.it/info.php
http://x8.w4w.guest.it/info.php


RE: Specifiche php e mysql - Gandalf - 04-06-2013 11:47

MySQL 5.1 nel nodo più vecchio, Percona 5.1 e Percona 5.5 nei nodi più recenti.


RE: Specifiche php e mysql - webby1973 - 05-09-2013 00:14

(04-06-2013 11:47)Gandalf Ha scritto:  : https://www.web4web.it/forum/post-4218.html#pid4218MySQL 5.1 nel nodo più vecchio, Percona 5.1 e Percona 5.5 nei nodi più recenti.


Ciao,

due domande:
1) quando aggiornerete PHP ad una versione più nuova, visto che la versione 5.3.x ormai non ha più aggiornamenti (se non di sicurezza, ma ancora per poco)?
2) siccome il modulo APC per la cache crea problemi con alcuni plugin ed è buggato da tempo da quel che ho letto, si può avere Zend Opcache al suo posto?

Noto differenze in tal senso tra il nodo x5 (dove sono io) e x8; il secondo non ha APC, mi pare.

grazie


RE: Specifiche php e mysql - Gandalf - 16-09-2013 15:46

(05-09-2013 00:14)webby1973 Ha scritto:  : https://www.web4web.it/forum/post-4280.html#pid42801) quando aggiornerete PHP ad una versione più nuova, visto che la versione 5.3.x ormai non ha più aggiornamenti (se non di sicurezza, ma ancora per poco)?

Non appena una buona base clienti avrà codice compatibile con PHP 5.4

Citazione:2) siccome il modulo APC per la cache crea problemi con alcuni plugin ed è buggato da tempo da quel che ho letto, si può avere Zend Opcache al suo posto?

Bug di che tipo?

Zend OPCache è una beta:
http://pecl.php.net/package/ZendOpcache

già APC da problemi, figuriamoci un software beta.


RE: Specifiche php e mysql - webby1973 - 17-09-2013 19:09

(16-09-2013 15:46)Gandalf Ha scritto:  : https://www.web4web.it/forum/post-4286.html#pid4286Non appena una buona base clienti avrà codice compatibile con PHP 5.4


Bug di che tipo?

Zend OPCache è una beta:
http://pecl.php.net/package/ZendOpcache

già APC da problemi, figuriamoci un software beta.

Ciao,

ti lancio un'idea: dedicare uno shared server a chi desidera le ultime versioni Smile
Anche perché davvero la versione attuale di PHP avrà vita breve.

Comunque, i tipi di Time.ly per il loro All-In-One-Calendar mi dicono che :
"Basically APC sometimes fails when autoloader are used like in our plugin (use of autoloaders is suggested by wordpress).
What we have found as a possible solution is to increase memory allocated for APC, but it's not 100% foolproof. Also updating PHP to the latest version might help. Otherwise, simply turn off APC. "
Pare sia un problema noto:
https://bugs.php.net/bug.php?id=59298

Se non sbaglio APC non verrà più installata con PHP v. 5.3.x a salire e vedo che sul nodo 8 non c'è proprio (se non ho letto male le caratteristiche).
Per PHP 5.4 e seguenti è prevista Zend Opchace, comunque. Quindi perché non provare? Smile

ciao e grazie!


RE: Specifiche php e mysql - Gandalf - 30-09-2013 16:33

Ufficialmente noi non forniamo alcun tipo di acceleratore, tant'è che non è nemmeno riportato nelle schede prodotto.

Stiamo testando, in alcuni server, APC, ma come tu stesso hai detto, a volte ha problemi quindi tendiamo a disattivarlo, fare alcune ottimizzazioni e poi reinstallarlo.
Queste cache (tutte) non si prestano bene ad essere usate su ambienti di hosting condiviso, tant'è che su APC in alcuni server abbiamo messo un TTL pari ad 1 secondo o addirittura a 0 per evitare il riempimento della cache stessa (quando hai migliaia di siti, la cache, anche se di alcuni giga, si riempie in pochi minuti)

APC con PHP 5.3 funziona.

Quando Zend Opcache non sarà più in beta e tutti i nostri server saranno con PHP 5.4 (non prima del nuovo anno) se ne potrà valutare il suo utilizzo, ma prima di allora, alla domanda: "si può avere la cache XY installata" la risposta è: "No" per i suddetti motivi.


RE: Specifiche php e mysql - webby1973 - 30-09-2013 20:03

OK grazie per le spiegazioni.

La domanda a questo punto è: in base a cosa sul nodo 5 è attiva APC e sul nodo 8 no? Se la spegnete sul 5 mi fate un favore Smile

Approfitto per chiedere se sul piano semidedicato le caratteristiche siano le stesse, riguardo la versione di PHP e aggiunte varie.

grazie!


RE: Specifiche php e mysql - Gandalf - 30-09-2013 20:07

La differenza è data sia dall'hardware che da problemi pregressi.
Su x5 non abbiamo mai avuto problemi in merito ad APC, quindi finchè va lo teniamo.
Su x8 non abbiamo mai sentito la necessità di installare APC, l'hardware è superiore.

Ma sinceramente, non abbiamo mai notato miglioramenti prestazionali grazie ad APC, tant'è che nei nuovi server non lo installiamo nemmeno.

I nuovi semidedicati hanno queste caratteristiche:
http://x2.sd.w4w.guest.it/info.php